#include <Servo.h>

Servo servL;
Servo servR;

int consigneLeft = 0;
long counterLeft = 0;

int consigneRight = 0;
long counterRight = 0;


void setup() {
  // init serial communication
  Serial.begin(38400); 
  //  
  servL.attach(10);
  servR.attach(9);
  //
  pinMode(3,INPUT);  
  attachInterrupt(1, interruptRight, CHANGE);
  //
  consigneLeft = 1;
  consigneRight = 1;
}

void loop() {
  //
  if (consigneLeft > 0)
  {
    servL.write(0);
    if (counterRight > 600) {
      consigneLeft = -1;  
    }
  }
  // 
  if (consigneLeft < 0) 
  {
    servL.write(255);
    if (counterRight < 400) {
      consigneLeft = 1;  
    }
  }  
  //
  if (consigneRight > 0)
  {
    servR.write(255);
    if (counterRight > 600) {
      consigneRight = -1;  
    }
  }
  // 
  if (consigneRight < 0) 
  {
    servR.write(0);
    if (counterRight < 400) {
      consigneRight = 1;  
    }
  }  

  //
  int val = (int) counterRight;
  //  
  Serial.print( 0xff, BYTE);
  Serial.print( (val >> 8) & 0xff, BYTE);
  Serial.print( val & 0xff, BYTE);

}

void interruptRight()
{
  if (consigneRight > 0)
  {
    counterRight++;
  } 
  else {
    counterRight--;    
  }
}
